//
//  SNDViewController.m
//  PhoneTableTest
//
//  Created by Sam Dods on 06/08/2013.
//  Copyright (c) 2013 Sam Dods. All rights reserved.
//

#import "SNDViewController.h"
#import "PictureListMainTableCell.h"

@interface SNDViewController () <UITableViewDataSource, PictureListMainTableCellDelegate>
@end

@implementation SNDViewController


#pragma mark - Table view data source

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 5; // just as an example.
}



//  Create / reuse a table cell and configure it for display
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"PictureListMainTableCell";
    
    PictureListMainTableCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    cell.delegate = self;
    
    cell.telephoneNumber = @"01234567890";
    
    return cell;
    
}

#pragma mark - PictureListMainTableCellDelegate methods
-(void)pictureListMainTableCell:(PictureListMainTableCell *)cell wantsToCallNumber:(NSString *)number
{
    NSString *urlString = [NSString stringWithFormat:@"tel://%@", number];
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:urlString]];
}

@end
